wayland::server::zxdg_imported_v1_t(3)

NAME
wayland::server::zxdg_imported_v1_t - an imported surface handle

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the xdg_imported object
std::function< void(surface_t)> & on_set_parent_of ()
set as the parent of some surface
void destroyed (bool post=true)
the imported surface handle has been destroyed
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t destroyed_since_version = 1
Minimum protocol version required for the destroyed function.

Detailed Description

an imported surface handle

An xdg_imported object represents an imported reference to surface exported by some client. A client can use this interface to manipulate relationships between its own surfaces and the imported surface.

Definition at line 8135 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  void zxdg_imported_v1_t::destroyed (bool post = true)

the imported surface handle has been destroyed The imported surface handle has been destroyed and any relationship set up has been invalidated. This may happen for various reasons, for example if the exported surface or the exported surface handle has been destroyed, if the handle used for importing was invalid.

Definition at line 7831 of file wayland-server-protocol-unstable.cpp.

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zxdg_imported_v1_t::on_destroy ()

destroy the xdg_imported object Notify the compositor that it will no longer use the xdg_imported object. Any relationship that may have been set up will at this point be invalidated.

Definition at line 7819 of file wayland-server-protocol-unstable.cpp.

  std::function< void(surface_t)> & zxdg_imported_v1_t::on_set_parent_of ()

set as the parent of some surface

Parameters
    surface the child surface

Set the imported surface as the parent of some surface of the client. The passed surface must be a toplevel xdg_surface. Calling this function sets up a surface to surface relation with the same stacking and positioning semantics as xdg_surface.set_parent.

Definition at line 7825 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Member Data Documentation

  constexpr std::uint32_t wayland::server::zxdg_imported_v1_t::destroyed_since_version = 1 [static], [constexpr]

Minimum protocol version required for the destroyed function.

Definition at line 8194 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.